# Generated from bintray-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bintray

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: A Ruby interface to the Bintray API
License: MIT
URL: https://github.com/stefanozanella/bintray
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rubygems-tasks)
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(mocha)
BuildArch: noarch

%description
This gem provides a Ruby interface to the Bintray API, plus a Rake task to
help uploading and publishing packages to Bintray.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/rubygems-stefanozanella.crt
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/Changelog.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/bintray.gemspec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.1-1
- Initial package
